package models

import (
	"time"
)

type Classify struct {
	Id           int       `description:"分类id"`
	ClassifyName string    `description:"分类名称"`
	Sort         int       `json:"-"`
	ParentId     int       `description:"父级分类id"`
	CreateTime   time.Time `description:"创建时间"`
	ModifyTime   time.Time `description:"修改时间"`
	Level        int       `description:"分类层级"`
}

type ClassifyView struct {
	Id           int             `description:"分类id"`
	ClassifyName string          `description:"分类名称"`
	Sort         int             `json:"-"`
	ParentId     int             `description:"父级分类id"`
	Level        int             `description:"分类层级"`
	HasChild     int             `description:"是否有子分类0：下面没有子分类，1：下面有子分类"`
	Child        []*ClassifyView `description:"子分类"`
}

type ClassifyDetail struct {
	ClassifyId     int       `description:"分类id"`
	ClassifyName   string    `description:"分类名称"`
	Sort           int       `json:"-"`
	ParentId       int       `description:"父级分类id"`
	CreateTime     time.Time `description:"创建时间"`
	ModifyTime     time.Time `description:"修改时间"`
	Abstract       string    `description:"栏目简介"`
	Descript       string    `description:"分享描述"`
	ReportAuthor   string    `description:"栏目作者"`
	AuthorDescript string    `description:"作者简介"`
	ColumnImgUrl   string    `description:"栏目配图"`
	HeadImgUrl     string    `description:"头部banner"`
	AvatarImgUrl   string    `description:"头像"`
	ReportImgUrl   string    `description:"报告配图"`
	HomeImgUrl     string    `description:"首页配图"`
	Stage          int       `description:"最新期数"`
}
