package services

import (
	"encoding/json"
	"eta/eta_mini_api/models"
	"eta/eta_mini_api/utils"
)

type ClassifyReq struct {
	ClassifyIds []int
}

type ClassifyPermissionItemResp struct {
	ClassifyId      int      `description:"二级分类id"`
	PermissionNames []string `description:"权限名称列表"`
}

func GetFirstChartPermission(classifyIds []int) (resp *models.ChartPermissionResp[[]*ClassifyPermissionItemResp], err error) {

	classifyReq := ClassifyReq{classifyIds}
	postBody, err := json.Marshal(classifyReq)
	if err != nil {
		return
	}
	url := utils.ETA_MINI_BRIDGE_URL + "/classify/chart_permission/first"
	body, err := HttpPost(url, postBody)
	if err != nil {
		return
	}
	err = json.Unmarshal(body, &resp)
	if err != nil {
		return
	}
	return
}

func GetAllClassify() (resp *models.BaseResponseT[[]*models.ClassifyView], err error) {
	url := utils.ETA_MINI_BRIDGE_URL + "/classify/list"
	body, err := HttpGet(url)
	if err != nil {
		return
	}
	err = json.Unmarshal(body, &resp)
	if err != nil {
		return
	}
	return
}
